<?php
/*
 Module: MiniPopup
 Created by: Dev4me / Ruud Eisinga
 
 version 0.2 - 22-06-2017
   - Initial version 
   - Based on sectionpicker 0.28
 
*/

if(defined('WB_PATH') == false) exit("Cannot access this file directly");

if(!file_exists(WB_PATH.'/modules/minipopup/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/minipopup/languages/EN.php');
} else {
	require_once(WB_PATH.'/modules/minipopup/languages/'.LANGUAGE.'.php');
}

require_once (dirname(__FILE__).'/select pages.php');

$table = TABLE_PREFIX.'mod_minipopup';
$sql_result = $database->query("SELECT * FROM $table WHERE section_id = '$section_id'");
$sql_row = $sql_result->fetchRow();
$target_section_id	= $sql_row['target_section_id'];
$start_delay 		= $sql_row['start_delay'];
$end_delay 			= $sql_row['end_delay'];
$cookie_hours		= $sql_row['cookie_hours'];
$close_overlay		= $sql_row['close_overlay'];

$sel = ' selected';

if (!isset($sections)) {
	$sections = array();
	minipopup_build_sectionlist(0,$page_id);
}

?>
<form name="select_section<?php echo $section_id; ?>" action="<?php echo WB_URL ?>/modules/minipopup/save.php" method="post">
<input type="hidden" name="page_id" value="<?php echo $page_id ?>" />
<input type="hidden" name="section_id" value="<?php echo $section_id ?>" />
<table cellpadding="0" cellspacing="5" border="0" width="100%">
	<tr>
		<td><?php echo $minipopup['section'] ?>:</td>
		<td>
			<select name="target_section_id_<?php echo $section_id; ?>" style="font-family:monospace;font-size: 14px;width:500px;" />
				<option value="0"<?php echo $target_section_id=='0' ? $sel : '' ?>><?php echo $TEXT['PLEASE_SELECT']; ?></option>
				<?php foreach($sections AS $li) {
					$option_link = explode('|',$li);
					$disabled = $option_link[0] ? '':' disabled';
					echo "<option $disabled value=\"".$option_link[0]."\" ".($target_section_id==$option_link[0] ? $sel : '').">$option_link[1]</option>\n";
				} ?>
			</select>
		</td>
	</tr>
	<tr>
		<td><?php echo $minipopup['start_delay'] ?>:</td>
		<td><input style="width:50px" type="text" name="start_delay_<?php echo $section_id; ?>" value="<?php echo $start_delay ?>" /> <?php echo $minipopup['seconds'] ?></td>
	</tr>
	<tr>
		<td><?php echo $minipopup['close_delay'] ?>:</td>
		<td><input style="width:50px" type="text" name="end_delay_<?php echo $section_id; ?>" value="<?php echo $end_delay ?>" /> <?php echo $minipopup['seconds'] ?></td>
	</tr>	
	<tr>
		<td><?php echo $minipopup['close_overlay'] ?>:</td>
		<td><input style="margin-left:0px;" type="checkbox" <?php if($close_overlay) { echo 'checked '; } ?>name="close_overlay_<?php echo $section_id; ?>" value="1" /></td>
	</tr>
	<tr>
		<td><?php echo $minipopup['cookie_life'] ?>:</td>
		<td>
			<select name="cookie_hours_<?php echo $section_id; ?>" style="font-family:monospace;font-size:14px;width:500px;" />
				<?php foreach($minipopup['cookie_session'] as $item => $value) {
					echo "<option value=\"".$item."\" ".($cookie_hours==$item ? $sel : '').">$value</option>\n";
				} ?>
			</select>
		</td>
	</tr>
	
	
	
</table>
<p></p>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr>
		<td align="left"><input type="submit" value="<?php echo $TEXT['SAVE'] ?>" style="width: 100px; margin-top: 5px;" /></td>
		<td align="right"><input type="button" value="<?php echo $TEXT['CANCEL'] ?>" onclick="javascript: window.location='index.php';" style="width: 100px; margin-top: 5px;" /></td>
	</tr>
</table>
</form>
<p></p>